summaryrefslogtreecommitdiff
path: root/dev-python/basho-erlastic
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python/basho-erlastic')
-rw-r--r--dev-python/basho-erlastic/Manifest1
-rw-r--r--dev-python/basho-erlastic/basho-erlastic-2.1.1-r1.ebuild28
-rw-r--r--dev-python/basho-erlastic/metadata.xml8
3 files changed, 37 insertions, 0 deletions
diff --git a/dev-python/basho-erlastic/Manifest b/dev-python/basho-erlastic/Manifest
new file mode 100644
index 000000000000..77406e938370
--- /dev/null
+++ b/dev-python/basho-erlastic/Manifest
@@ -0,0 +1 @@
+DIST basho-erlastic-2.1.1.tar.gz 9298 BLAKE2B a3cd69a77c2d75ccbc2494cf841563a075036ce2ecca4425b3e806463e080d87fc2ab6668bcb21dfe3b083ec51498113c641f033cf66b0fd6b1b00ddd9703349 SHA512 bc8666b2e9ffba3e5c7105d1502423a1b0861047218ad18524ad77853137dea5f17c64d6cbb9cdbc6ac6e207b0a2f9a57d65e5c4cac67172654c5eb92ac7ae2e
diff --git a/dev-python/basho-erlastic/basho-erlastic-2.1.1-r1.ebuild b/dev-python/basho-erlastic/basho-erlastic-2.1.1-r1.ebuild
new file mode 100644
index 000000000000..09b9bd8a96b8
--- /dev/null
+++ b/dev-python/basho-erlastic/basho-erlastic-2.1.1-r1.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Erlang binary term codec and port interface"
+HOMEPAGE="
+ https://github.com/basho/python-erlastic/
+ https://pypi.org/project/basho-erlastic/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+RDEPEND="
+ dev-python/six[${PYTHON_USEDEP}]
+"
+
+python_test() {
+ "${EPYTHON}" tests.py || die
+}
diff --git a/dev-python/basho-erlastic/metadata.xml b/dev-python/basho-erlastic/metadata.xml
new file mode 100644
index 000000000000..b5c78a8ab61b
--- /dev/null
+++ b/dev-python/basho-erlastic/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://docs.baldeagleos.com/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>zmedico@gentoo.org</email>
+ </maintainer>
+ <origin>baldeagleos-repo</origin>
+</pkgmetadata>